# Get service point by ID

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Returns a carrier service point by using the service_point_id

Endpoint: GET /v2/service_points/{carrier_code}/{country_code}/{service_point_id}
Version: 2.0.0
Security: api_keys

## Path parameters:

  - `carrier_code` (string, required)
    Carrier code
    Example: "stamps_com"

  - `country_code` (string, required)
    A two-letter ISO 3166-1 country code
    Example: "CA"

  - `service_point_id` (string, required)
    Example: "614940"

## Response 200 fields (application/json):

  - `service_point` (object)

  - `service_point.carrier_code` (string)
    A [shipping carrier] , such as fedex, dhl_express, stamps_com, etc.
    Example: "dhl_express"

  - `service_point.service_codes` (array)

  - `service_point.service_point_id` (string)
    A unique identifier for a carrier drop off point.
    Example: "614940"

  - `service_point.company_name` (string)
    If this is a business address, then the company name should be specified here.
    Example: "My fancy company name"

  - `service_point.address_line1` (string)
    The first line of the street address.  For some addresses, this may be the only line.  Other addresses may require 2 or 3 lines.
    Example: "PLACE DU CANADA"

  - `service_point.city_locality` (string)
    The name of the city or locality
    Example: "TRUN"

  - `service_point.state_province` (string)
    The state or province. For some countries (including the U.S.) only abbreviations are allowed. Other countries allow the full name or abbreviation.
    Example: "TRUN"

  - `service_point.postal_code` (string)
    postal code
    Example: "78756-3717"

  - `service_point.country_code` (string)
    A two-letter [ISO 3166-1 country code](https://en.wikipedia.org/wiki/ISO_3166-1)
    Example: "CA"

  - `service_point.phone_number` (string)
    Phone number associated
    Example: "555-555-5555"

  - `service_point.lat` (number)
    The latitude of the point. Represented as signed degrees. Required if long is provided. http://www.geomidpoint.com/latlon.html
    Example: 48.842608

  - `service_point.long` (number)
    The longitude of the point. Represented as signed degrees. Required if lat is provided. http://www.geomidpoint.com/latlon.html
    Example: 0.032875

  - `service_point.hours_of_operation` (object)
    Hours of operation

  - `service_point.hours_of_operation.monday` (array)

  - `service_point.hours_of_operation.monday.open` (string)
    Opening time
    Example: "09:15"

  - `service_point.hours_of_operation.monday.close` (string)
    Closing time
    Example: "12:00"

  - `service_point.hours_of_operation.tuesday` (array)

  - `service_point.hours_of_operation.tuesday.open` (string)
    Opening time
    Example: "09:15"

  - `service_point.hours_of_operation.tuesday.close` (string)
    Closing time
    Example: "12:00"

  - `service_point.hours_of_operation.wednesday` (array)

  - `service_point.hours_of_operation.wednesday.open` (string)
    Opening time
    Example: "09:15"

  - `service_point.hours_of_operation.wednesday.close` (string)
    Closing time
    Example: "12:00"

  - `service_point.hours_of_operation.thursday` (array)

  - `service_point.hours_of_operation.thursday.open` (string)
    Opening time
    Example: "09:15"

  - `service_point.hours_of_operation.thursday.close` (string)
    Closing time
    Example: "12:00"

  - `service_point.hours_of_operation.friday` (array)

  - `service_point.hours_of_operation.friday.open` (string)
    Opening time
    Example: "09:15"

  - `service_point.hours_of_operation.friday.close` (string)
    Closing time
    Example: "12:00"

  - `service_point.hours_of_operation.saturday` (array)

  - `service_point.hours_of_operation.saturday.open` (string)
    Opening time
    Example: "09:15"

  - `service_point.hours_of_operation.saturday.close` (string)
    Closing time
    Example: "12:00"

  - `service_point.hours_of_operation.sunday` (array)

  - `service_point.hours_of_operation.sunday.open` (string)
    Opening time
    Example: "09:15"

  - `service_point.hours_of_operation.sunday.close` (string)
    Closing time
    Example: "12:00"

  - `service_point.features` (array)
    Service features
    Enum: "drop_off_point", "pickup_point", "print_services", "after_hours_locker", "after_hours_dropbox"

  - `service_point.type` (string)
    Service point type
    Enum: "pudo", "locker"

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


